# concmath-otf package
# Matthew Bertucci 1/20/2022 for v0.20

#include:iftex
#include:unicode-math
#include:xkeyval

#keyvals:\usepackage/concmath-otf#c
no-text
tight
loose
math-style=#ISO,TeX,french,upright
bold-style=#ISO,TeX,upright
nabla=#italic,upright,literal
partial=#italic,upright,literal
CharacterVariant={%<glyph num list%>:%<variety num%>}
StylisticSet=#4,5,6
Style=#leqslant,smaller,subsetneq
#endkeyvals

\acwopencirclearrow#m
\adots#m
\approxident#m
\assert#m
\backcong#m
\backdprime#m
\backtrprime#m
\barvee#m
\bigblacktriangledown#m
\bigblacktriangleup#m
\bigcupdot#m
\bigsqcap#m
\bigtimes#m
\circledequal#m
\Colon#m
\coloneq#m
\cuberoot{arg}#m
\cupdot#m
\cwopencirclearrow#m
\dashcolon#m
\divslash#m
\dotminus#m
\dotsminusdots#m
\dottedsquare#m
\downuparrows#m
\dprime#m
\enclosecircle#m
\eqcolon#m
\eqgtr#m
\eqless#m
\equal#*m
\equalparallel#m
\Equiv#m
\Eulerconst#m
\fourthroot{arg}#m
\fracslash#m
\greater#*m
\gtreqqslantless#m
\gtreqslantless#m
\increment#m
\intbottom#*m
\intextender#*m
\inttop#*m
\kernelcontraction#m
\lbracelend#*m
\lbracemid#*m
\lbraceuend#*m
\lbrackextender#*m
\lbracklend#*m
\lbrackuend#*m
\Ldsh#m
\leftsquigarrow#m
\less#*m
\lesseqqslantgtr#m
\lesseqslantgtr#m
\longleftsquigarrow#m
\longmapsfrom#m
\Longmapsfrom#m
\Longmapsto#m
\longrightsquigarrow#m
\lparen#*m
\lparenextender#*m
\lparenlend#*m
\lparenuend#*m
\mapsdown#m
\mapsfrom#m
\Mapsfrom#m
\Mapsto#m
\mapsup#m
\mathampersand#*m
\mathatsign#*m
\mathcolon#*m
\mathcomma#*m
\matheth#*m
\mathexclam#*m
\mathhyphen#*m
\mathoctothorpe#*m
\mathpercent#*m
\mathperiod#*m
\mathplus#m
\mathquestion#*m
\mathratio#*m
\mathsemicolon#m
\mathslash#*m
\mathyen#*m
\mbfdotlessi#*m
\mbfdotlessj#*m
\mbffrakA#*m
\mbffraka#*m
\mbffrakB#*m
\mbffrakb#*m
\mbffrakC#*m
\mbffrakc#*m
\mbffrakD#*m
\mbffrakd#*m
\mbffrakE#*m
\mbffrake#*m
\mbffrakF#*m
\mbffrakf#*m
\mbffrakG#*m
\mbffrakg#*m
\mbffrakH#*m
\mbffrakh#*m
\mbffrakI#*m
\mbffraki#*m
\mbffrakJ#*m
\mbffrakj#*m
\mbffrakK#*m
\mbffrakk#*m
\mbffrakL#*m
\mbffrakl#*m
\mbffrakM#*m
\mbffrakm#*m
\mbffrakN#*m
\mbffrakn#*m
\mbffrakO#*m
\mbffrako#*m
\mbffrakP#*m
\mbffrakp#*m
\mbffrakQ#*m
\mbffrakq#*m
\mbffrakR#*m
\mbffrakr#*m
\mbffrakS#*m
\mbffraks#*m
\mbffrakT#*m
\mbffrakt#*m
\mbffrakU#*m
\mbffraku#*m
\mbffrakV#*m
\mbffrakv#*m
\mbffrakW#*m
\mbffrakw#*m
\mbffrakX#*m
\mbffrakx#*m
\mbffrakY#*m
\mbffraky#*m
\mbffrakZ#*m
\mbffrakz#*m
\mdblklozenge#m
\mdlgblksquare#m
\mdlgwhtsquare#m
\mdwhtlozenge#m
\mfrakA#*m
\mfraka#*m
\mfrakB#*m
\mfrakb#*m
\mfrakc#*m
\mfrakC#*m
\mfrakD#*m
\mfrakd#*m
\mfrakE#*m
\mfrake#*m
\mfrakF#*m
\mfrakf#*m
\mfrakG#*m
\mfrakg#*m
\mfrakh#*m
\mfrakH#*m
\mfraki#*m
\mfrakJ#*m
\mfrakj#*m
\mfrakK#*m
\mfrakk#*m
\mfrakL#*m
\mfrakl#*m
\mfrakM#*m
\mfrakm#*m
\mfrakN#*m
\mfrakn#*m
\mfrakO#*m
\mfrako#*m
\mfrakP#*m
\mfrakp#*m
\mfrakQ#*m
\mfrakq#*m
\mfrakr#*m
\mfrakS#*m
\mfraks#*m
\mfrakT#*m
\mfrakt#*m
\mfrakU#*m
\mfraku#*m
\mfrakV#*m
\mfrakv#*m
\mfrakW#*m
\mfrakw#*m
\mfrakX#*m
\mfrakx#*m
\mfrakY#*m
\mfraky#*m
\mfrakz#*m
\mfrakZ#*m
\minus#m
\mithbar#*m
\mscrA#*m
\mscrB#*m
\mscrC#*m
\mscrD#*m
\mscrE#*m
\mscrF#*m
\mscrG#*m
\mscrH#*m
\mscrI#*m
\mscrJ#*m
\mscrK#*m
\mscrL#*m
\mscrM#*m
\mscrN#*m
\mscrO#*m
\mscrP#*m
\mscrQ#*m
\mscrR#*m
\mscrS#*m
\mscrT#*m
\mscrU#*m
\mscrV#*m
\mscrW#*m
\mscrX#*m
\mscrY#*m
\mscrZ#*m
\mupvarzero#*m
\napprox#m
\Nearrow#m
\nequiv#m
\ngtrless#m
\ngtrsim#m
\nlessgtr#m
\nlesssim#m
\nni#m
\nsime#m
\nsimeq#m
\nsubset#m
\nsupset#m
\nvartriangleleft#m
\nvartriangleright#m
\Nwarrow#m
\ocirc{arg}#m
\overbar{arg}#m
\overparen{arg}#m
\overrightarc{arg}#m
\ovhook{arg}#m
\Planckconst#m
\preceqq#m
\precneq#m
\QED#m
\qprime#m
\rbracelend#*m
\rbracemid#*m
\rbraceuend#*m
\rbrackextender#*m
\rbracklend#*m
\rbrackuend#*m
\Rdsh#m
\rparen#*m
\rparenextender#*m
\rparenlend#*m
\rparenuend#*m
\Searrow#m
\sime#m
\simneqq#m
\smblkcircle#m
\smblksquare#m
\smwhtcircle#m
\smwhtdiamond#m
\sqrtbottom#*m
\succeqq#m
\succneq#m
\Swarrow#m
\tieconcat#m
\trprime#m
\twoheaddownarrow#m
\twoheaduparrow#m
\underparen{arg}#m
\unicodecdots#*m
\unicodeellipsis#*m
\upbackepsilon#m
\updownarrows#m
\vardiamondsuit#m
\varheartsuit#m
\vbraceextender#*m
\VDash#m
\vectimes#m
\vysmblkcircle#m
\vysmwhtcircle#m
\widearc{arg}#m
\wideoverbar{arg}#m
\wideutilde{arg}#m

\CCMtoks#S
\fileversion#S
\filedate#S