# hyperref package
# neeraavi 21 Mar 2007
#modified Edson 30-12-2010
#modified Denis Bitouz\'e 14-06-2014
#modified muzimuzhi 18 Jan 2020, 8 May 2020, 8 Jul 2020
#modified Matthew Bertucci 9 Nov 2021 for v7.00m

#include:iftex
#include:keyval
#include:kvsetkeys
#include:kvdefinekeys
#include:pdfescape
#include:hycolor
#include:letltxmacro
#include:auxhook
#include:kvoptions
#include:intcalc
#include:url
#include:bitset
#include:bigintcalc
#include:atbegshi
#include:atveryend
#include:rerunfilecheck
#include:nameref

#ifOption:backref
#include:backref
#endif

#ifOption:colorlinks
#include:color
#endif

\hypersetup{keyvals}
#keyvals:\hypersetup,\usepackage/hyperref#c
addtopdfcreator=%<text%>
allbordercolors=#%color
allcolors=#%color
anchorcolor=#%color
backref#section,slide,page,none,false
baseurl=%<URL%>
bookmarks#true,false
bookmarksdepth
bookmarksdepth=%<number%>
bookmarksnumbered#true,false
bookmarksopen#true,false
bookmarksopenlevel=%<level%>
bookmarkstype=
breaklinks#true,false
citebordercolor=#%color
citecolor=#%color
CJKbookmarks#true,false
colorlinks#true,false
customdriver=%<file%>
debug#true,false
destlabel#true,false
draft#true,false
driverfallback=%<driver%>
dvipdfm
dvipdfmx
dvipdfmx-outline-open#true,false
dvips
dvipsone
dviwindo
encap=%<character%>
extension=%<file ext%>
filebordercolor=#%color
filecolor=#%color
final#true,false
frenchlinks#true,false
hidelinks
hyperfigures#true,false
hyperfootnotes#true,false
hyperindex#true,false
hypertex
hypertexnames#true,false
implicit#true,false
latex2html
linkbordercolor=#%color
linkcolor=#%color
linkfileprefix=%<prefix%>
linktoc=#section,page,all,none
linktocpage#true,false
localanchorname#true,false
menubordercolor=#%color
menucolor=#%color
nativepdf#true,false
naturalnames#true,false
nesting#true,false
ocgcolorlinks#true,false
pageanchor#true,false
pagebackref#true,false
pdfa#true,false
pdfauthor=%<author%>
pdfborder=
pdfborderstyle=
pdfcenterwindow#true,false
pdfcreationdate=%<date%>
pdfcreator=%<creator%>
pdfdirection=#L2R,R2L
pdfdisplaydoctitle#true,false
pdfduplex
pdfencoding=#pdfdoc,unicode,auto
pdfescapeform#true,false
pdffitwindow#true,false
pdfhighlight=#/I,/N,/O,/P
pdfinfo={%<info keys%>}
pdfkeywords={%<keyword list%>}
pdflang=%<lang id%>
pdflinkmargin=##L
pdfmark#true,false
pdfmenubar#true,false
pdfmoddate=%<date%>
pdfnewwindow#true,false
pdfnonfullscreenpagemode
pdfnumcopies=%<integer%>
pdfpageduration=
pdfpagelabels#true,false
pdfpagelayout=#SinglePage,OneColumn,TwoColumnLeft,TwoColumnRight,TwoPageLeft,TwoPageRight
pdfpagemode=#FullScreen,UseNone,UseOutlines,UseOC,UseAttachments,UseThumbs
pdfpagescrop=
pdfpagetransition=#Split,Blinds,Box,Wipe,Dissolve,Glitter,R,Fly,Push,Cover,Uncover,Fade
pdfpicktraybypdfsize#true,false
pdfprintarea=#Mediabox,CropBox,BleedBox,TrimBox,ArtBox
pdfprintclip=#Mediabox,CropBox,BleedBox,TrimBox,ArtBox
pdfprintpagerange=
pdfprintscaling=#None,AppDefault
pdfproducer=%<producer%>
pdfremotestartview=#XYZ,Fit,FitH,FitV,FitR,FitB,FitBH,FitBV
pdfstartpage=%<page number%>
pdfstartview=#XYZ,Fit,FitH,FitV,FitR,FitB,FitBH,FitBV
pdfsubject=%<subject%>
pdftex
pdftitle=%<title%>
pdftoolbar#true,false
pdftrapped=#True,False,Unknown
pdfusetitle
pdfversion=%<version%>
pdfview=#XYZ,Fit,FitH,FitV,FitR,FitB,FitBH,FitBV
pdfviewarea=#Mediabox,CropBox,BleedBox,TrimBox,ArtBox
pdfviewclip=#Mediabox,CropBox,BleedBox,TrimBox,ArtBox
pdfwindowui#true,false
plainpages#true,false
ps2pdf
psdextra#true,false
raiselinks#true,false
runbordercolor=#%color
runcolor=#%color
setpagesize#true,false
tex4ht
textures
typexml#true,false
unicode#true,false
urlbordercolor=#%color
urlcolor=#%color
verbose#true,false
vtex
xetex
#endkeyvals

\href[options%keyvals]{URL}{text%plain}#U
\href{URL}{text%plain}#U

#keyvals:\href
pdfremotestartview=#XYZ,Fit,FitH,FitV,FitR,FitB,FitBH,FitBV
pdfnewwindow#true,false
page=%<number%>
ismap#true,false
nextactionraw=
#endkeyvals

\url{URL}#U
\nolinkurl{URL}#U

\hyperbaseurl{URL}#U
\hyperimage{imageURL}{text}#U
\hyperdef{category}{name}{text}
\hyperref{URL}{category}{name}{text}#M
# trick for commandExtract, for now
\hyperref[label%ref]{URL}{category}{name}{text}#M
\hyperref[label%ref]{text}
\hyperref{text}
\hyperlink{target name}{link text%text}
\hypertarget{target name}{anchor text%text}

\phantomsection

\autopageref{label}#r
\autopageref*{label}#r
\autoref{label}#r
\autoref*{label}#r
\ref*{label}#r
\pageref*{label}#r
\thispdfpagelabel
\pdfstringdef{macroname%cmd}{TeXstring}#d
\begin{NoHyper}
\end{NoHyper}
\pdfbookmark{text}{name}
\pdfbookmark[level]{text}{name}
\currentpdfbookmark{text}{name}
\subpdfbookmark{text}{name}
\belowpdfbookmark{text}{name}
\texorpdfstring{TEXstring}{PDFstring}
\pdfstringdefDisableCommands{hooks}
\hypercalcbp{dimen specification}

\Acrobatmenu{menuoption}{text}

\begin{Form}
\begin{Form}[options%keyvals]
\end{Form}
#keyvals:\begin{Form}
action=%<URL%>
encoding=%<encoding%>
method=#post,get
#endkeyvals

\TextField{label}#/Form
\TextField[parameters%keyvals]{label}#/Form
\CheckBox{label}#/Form
\CheckBox[parameters%keyvals]{label}#/Form
\ChoiceMenu{label}{choices}#/Form
\ChoiceMenu[parameters%keyvals]{label}{choices}#/Form
\PushButton{label}#/Form
\PushButton[parameters%keyvals]{label}#/Form
\Submit{label}#/Form
\Submit[parameters%keyvals]{label}#/Form
\Reset{label}#/Form
\Reset[parameters%keyvals]{label}#/Form
#keyvals:\TextField,\CheckBox,\ChoiceMenu,\PushButton,\Submit,\Reset
accesskey
align=#0,1,2
altname
backgroundcolor=#%color
bordercolor=#%color
bordersep=##L
borderwidth=##L
calculate
charsize=##L
checkboxsymbol
checked#true,false
color=#%color
combo#true,false
default
disabled#true,false
format
height=##L
hidden#true,false
keystroke
mappingname
maxlen
menulength
multiline#true,false
name
onblur
onchange
onclick
ondbclick
onfocus
onkeydown
onkeypress
onkeyup
onmousedown
onmousemove
onmouseout
onmouseover
onmouseup
onselect
password#true,false
popdown#true,false
radio#true,false
radiosymbol
readonly#true,false
rotation
tabkey
validate
value
width=##L
#endkeyvals

\LayoutTextField{label}{field}#*
\LayoutChoiceField{label}{field}#*
\LayoutCheckField{label}{field}#*
\MakeRadioField{width}{height}#*
\MakeCheckField{width}{height}#*
\MakeTextField{width}{height}#*
\MakeChoiceField{width}{height}#*
\MakeButtonField{text}#*
\DefaultHeightofSubmit#*
\DefaultWidthofSubmit#*
\DefaultHeightofReset#*
\DefaultWidthofReset#*
\DefaultHeightofCheckBox#*
\DefaultWidthofCheckBox#*
\DefaultHeightofChoiceMenu#*
\DefaultWidthofChoiceMenu#*
\DefaultHeightofText#*
\DefaultHeightofTextMultiline#*
\DefaultWidthofText#*

\XeTeXLinkBox{contents}#*
\XeTeXLinkMargin#*
\IfHyperBooleanExists{option}{true}{false}#*
\IfHyperBoolean{options}{true}{false}#*
\MaybeStopEarly#*
\MaybeStopNow#*
\unichar{char num}#*
\ifpdfstringunicode{unicode chars}{chars}#*
\hyperpage{arg}#*
\nohyperpage{arg}#*
\HyperDestNameFilter{arg}#*
\HyperDestLabelReplace{dest}#*
#ifOption:destlabel
\HyperDestRename{destination}{newname}
#endif
\theHequation#*
\theHpart#*
\theHchapter#*
\theHfigure#*
\theHtable#*
\theHsection#*
\theHsubsection#*
\theHsubsubsection#*
\theHparagraph#*
\theHsubparagraph#*
\theHtheorem#*
\theHthm#* 
\theHenumi#*
\theHenumii#*
\theHenumiii#*
\theHenumiv#*
\theHHfootnote#*
\theHmpfootnote#*
\pdfstringdefPreHook#*
\pdfstringdefPostHook#*
