# mathfont package
# Matthew Bertucci 9/21/2021 for v1.6

#include:fontspec
#include:atveryend

\mathfont{fontname}
\mathfont[character classes%keyvals]{fontname}

#keyvals:\mathfont
upper
upper=#roman,italic
lower
lower=#roman,italic
diacritics
diacritics=#roman,italic
greekupper
greekupper=#roman,italic
greeklower
greeklower=#roman,italic
agreekupper
agreekupper=#roman,italic
agreeklower
agreeklower=#roman,italic
cyrillicupper
cyrillicupper=#roman,italic
cyrilliclower
cyrilliclower=#roman,italic
hebrew
hebrew=#roman,italic
digits
digits=#roman,italic
operator
operator=#roman,italic
symbols
extsymbols
delimiters
arrows
bigops
extbigops
bb
cal
frak
bcal
bfrak
#endkeyvals

\setfont{fontname}

\mathbb{arg}#m
\mathcal{arg}#m
\mathfrak{arg}#m
\mathbcal{arg}#m
\mathbfrak{arg}#m

\newmathrm{cmd}{fontname}#d
\newmathit{cmd}{fontname}#d
\newmathbf{cmd}{fontname}#d
\newmathbfit{cmd}{fontname}#d
\newmathfontcommand{cmd}{fontname}{series}{shape}#*d

\restoremathinternals#*

\aacute{arg}#m
\Alpha#*m
\Beta#*m
\Epsilon#*m
\Zeta#*m
\Eta#*m
\Iota#*m
\Kappa#*m
\Mu#*m
\Nu#*m
\Omicron#*m
\Rho#*m
\Tau#*m
\Chi#*m
\varTheta#m
\omicron#m
\varbeta#m
\Heta#*m
\Sampi#*m
\Digamma#m
\Koppa#*m
\Stigma#*m
\Sho#*m
\San#*m
\varSampi#*m
\varDigamma#*m
\varKoppa#*m
\heta#*m
\sampi#*m
\digamma#m
\koppa#*m
\stigma#*m
\sho#*m
\san#*m
\varsampi#*m
\vardigamma#*m
\varkoppa#*m
\cyrA#*m
\cyrBe#*m
\cyrVe#*m
\cyrGhe#*m
\cyrDe#*m
\cyrIe#*m
\cyrZhe#*m
\cyrZe#*m
\cyrI#*m
\cyrKa#*m
\cyrEl#*m
\cyrEm#*m
\cyrEn#*m
\cyrO#*m
\cyrPe#*m
\cyrEr#*m
\cyrEs#*m
\cyrTe#*m
\cyrU#*m
\cyrEf#*m
\cyrHa#*m
\cyrTse#*m
\cyrChe#*m
\cyrSha#*m
\cyrShcha#*m
\cyrHard#*m
\cyrYeru#*m
\cyrSoft#*m
\cyrE#*m
\cyrYu#*m
\cyrYa#*m
\cyrvarI#*m
\cyra#*m
\cyrbe#*m
\cyrve#*m
\cyrghe#*m
\cyrde#*m
\cyrie#*m
\cyrzhe#*m
\cyrze#*m
\cyri#*m
\cyrka#*m
\cyrel#*m
\cyrem#*m
\cyren#*m
\cyro#*m
\cyrpe#*m
\cyrer#*m
\cyres#*m
\cyrte#*m
\cyru#*m
\cyref#*m
\cyrha#*m
\cyrtse#*m
\cyrche#*m
\cyrsha#*m
\cyrshcha#*m
\cyrhard#*m
\cyryeru#*m
\cyrsoft#*m
\cyre#*m
\cyryu#*m
\cyrya#*m
\cyrvari#*m
\beth#m
\gimel#*m
\daleth#*m
\he#*m
\vav#*m
\zayin#*m
\het#*m
\tet#*m
\yod#*m
\kaf#*m
\lamed#*m
\mem#*m
\nun#*m
\samekh#*m
\ayin#*m
\pe#*m
\tsadi#*m
\qof#*m
\resh#*m
\shin#*m
\tav#*m
\varkaf#*m
\varmem#*m
\varnun#*m
\varpe#*m
\vartsadi#*m
\mathbackslash#*m
\degree#m
\increment#*m
\comma#*m
\fflat#*m
\ssharp#*m
\bclubsuit#*m
\bdiamondsuit#*m
\bheartsuit#*m
\bspadesuit#*m
\wclubsuit#*m
\wdiamondsuit#*m
\wheartsuit#*m
\wspadesuit#*m
\varcdot#*m
\varsetminus#*m
\odiv#m
\sqplus#m
\sqtimes#m
\sqminus#m
\sqdot#m
\sqsubset#m
\sqsupset#m
\trianglelefteq#m
\trianglerighteq#m
\hourglass#*m
\therefore#m
\because#m
\ratio#m
\proportion#*m
\lll#m
\ggg#m
\leqq#m
\geqq#m
\lapprox#m
\gapprox#m
\eqsim#m
\simeqq#*m
\approxeq#m
\sssim#*m
\seq#*m
\coloneq#m
\eqcolon#m
\ringeq#m
\arceq#*m
\wedgeeq#*m
\veeeq#*m
\stareq#*m
\triangleeq#*m
\defeq#*m
\qeq#*m
\lsim#*m
\gsim#*m
\preceqq#*m
\succeqq#*m
\precsim#*m
\succsim#*m
\precapprox#*m
\succapprox#*m
\precprec#*m
\succsucc#*m
\nin#m
\nni#m
\nsubset#m
\nsupset#m
\nsubseteq#m
\nsupseteq#m
\subsetneq#m
\supsetneq#m
\nsqsubseteq#m
\nsqsupseteq#m
\sqsubsetneq#m
\sqsupsetneq#m
\nl#m
\ng#m
\nleq#m
\ngeq#m
\lneq#m
\gneq#m
\lneqq#*m
\gneqq#*m
\ntriangleleft#m
\ntriangleright#m
\ntrianglelefteq#m
\ntrianglerighteq#m
\nsim#m
\napprox#m
\nsimeq#m
\nsimeqq#*m
\simneqq#*m
\nlsim#*m
\ngsim#*m
\lnsim#*m
\gnsim#*m
\lnapprox#*m
\gnapprox#*m
\nprec#*m
\nsucc#*m
\npreceq#*m
\nsucceq#*m
\precneq#*m
\succneq#*m
\precneqq#*m
\succneqq#*m
\precnsim#*m
\succnsim#*m
\precnapprox#*m
\succnapprox#*m
\nequiv#m
\leftbrace#*m
\rightbrace#*m
\nrightarrow#m
\nRightarrow#m
\Rrightarrow#*m
\rightbararrow#*m
\Rightbararrow#*m
\longrightbararrow#*m
\Longrightbararrow#*m
\rightdasharrow#m
\rightarrowtail#*m
\rightoplusarrow#*m
\rightwavearrow#*m
\rightsquigarrow#m
\longrightsquigarrow#m
\looparrowright#*m
\curvearrowright#*m
\circlearrowright#m
\twoheadrightarrow#m
\rightarrowtobar#*m
\rightwhitearrow#*m
\rightrightarrows#m
\rightrightrightarrows#m
\nleftarrow#m
\nLeftarrow#m
\Lleftarrow#*m
\leftbararrow#*m
\Leftbararrow#*m
\longleftbararrow#*m
\Longleftbararrow#*m
\leftdasharrow#m
\leftarrowtail#*m
\leftoplusarrow#*m
\leftwavearrow#*m
\leftsquigarrow#m
\longleftsquigarrow#m
\looparrowleft#*m
\curvearrowleft#*m
\circlearrowleft#m
\twoheadleftarrow#m
\leftarrowtobar#*m
\leftwhitearrow#*m
\leftleftarrows#m
\leftleftleftarrows#m
\nLeftrightarrow#m
\leftrightwavearrow#*m
\leftrightarrows#*m
\leftrightharpoons#*m
\leftrightarrowstobar#*m
\rightleftarrows#*m
\Uuparrow#*m
\upbararrow#*m
\updasharrow#m
\upharpoonleft#m
\upharpoonright#m
\twoheaduparrow#m
\uparrowtobar#*m
\upwhitearrow#*m
\upwhitebararrow#*m
\upuparrows#m
\Ddownarrow#*m
\downbararrow#*m
\downdasharrow#*m
\zigzagarrow#m
\downharpoonleft#m
\downharpoonright#m
\twoheaddownarrow#m
\downarrowtobar#*m
\downwhitearrow#*m
\downdownarrows#m
\updownarrows#m
\downuparrows#m
\updownharpoons#*m
\downupharpoons#*m
\Nearrow#m
\Nwarrow#m
\Searrow#m
\Swarrow#m
\nwsearrow#m
\neswarrow#m
\lcirclearrow#m
\rcirclearrow#m
\mapsfrom#m
\longmapsfrom#m
\from#m
\intop#*m
\iint#m
\iiint#m
\oiint#m
\oiiint#m
\bigsqcap#m
