# polyglossia package
# Matthew Bertucci 9/21/2021 for v1.53

#include:etoolbox
#include:makecmds
#include:xkeyval
#include:fontspec
#include:iftex
#include:expl3
#include:l3keys2e
#include:xparse
#include:bidi
#include:luabidi
#include:calc
#include:arabicnumbers
#include:hijrical
#include:xpg-cyrillicnumbers
#include:devanagaridigits
#include:bengalidigits
#include:luavlna
#include:hebrewcal
#include:farsical
#include:nkonumbers

\setdefaultlanguage{language}
\setdefaultlanguage[options]{language}
\setmainlanguage{language}
\setmainlanguage[options]{language}
\setotherlanguage{language}
\setotherlanguage[options]{language}
\setotherlanguages{lang1,lang2,...}

\textlang{language}{text}
\textlang[options]{language}{text}

\textafrikaans[options%keyvals]{text}#*
\textalbanian[options%keyvals]{text}#*
\textamharic[options%keyvals]{text}#*
\textarabic[options%keyvals]{text}#*
\textarmenian[options%keyvals]{text}#*
\textasturian[options%keyvals]{text}#*
\textbasque[options%keyvals]{text}#*
\textbelarusian[options%keyvals]{text}#*
\textbengali[options%keyvals]{text}#*
\textbosnian[options%keyvals]{text}#*
\textbreton[options%keyvals]{text}#*
\textbulgarian[options%keyvals]{text}#*
\textcatalan[options%keyvals]{text}#*
\textcoptic[options%keyvals]{text}#*
\textcroatian[options%keyvals]{text}#*
\textczech[options%keyvals]{text}#*
\textdanish[options%keyvals]{text}#*
\textdivehi[options%keyvals]{text}#*
\textdutch[options%keyvals]{text}#*
\textenglish[options%keyvals]{text}#*
\textesperanto[options%keyvals]{text}#*
\textestonian[options%keyvals]{text}#*
\textfinnish[options%keyvals]{text}#*
\textfrench[options%keyvals]{text}#*
\textfriulian[options%keyvals]{text}#*
\textgaelic[options%keyvals]{text}#*
\textgalician[options%keyvals]{text}#*
\textgeorgian[options%keyvals]{text}#*
\textgerman[options%keyvals]{text}#*
\textgreek[options%keyvals]{text}#*
\texthebrew[options%keyvals]{text}#*
\texthindi[options%keyvals]{text}#*
\texthungarian[options%keyvals]{text}#*
\texticelandic[options%keyvals]{text}#*
\textinterlingua[options%keyvals]{text}#*
\textitalian[options%keyvals]{text}#*
\textjapanese[options%keyvals]{text}#*
\textkannada[options%keyvals]{text}#*
\textkhmer[options%keyvals]{text}#*
\textkorean[options%keyvals]{text}#*
\textkurdish[options%keyvals]{text}#*
\textlao[options%keyvals]{text}#*
\textlatin[options%keyvals]{text}#*
\textlatvian[options%keyvals]{text}#*
\textlithuanian[options%keyvals]{text}#*
\textmacedonian[options%keyvals]{text}#*
\textmalay[options%keyvals]{text}#*
\textmalayalam[options%keyvals]{text}#*
\textmarathi[options%keyvals]{text}#*
\textmongolian[options%keyvals]{text}#*
\textnko[options%keyvals]{text}#*
\textnorwegian[options%keyvals]{text}#*
\textoccitan[options%keyvals]{text}#*
\textpersian[options%keyvals]{text}#*
\textpiedmontese[options%keyvals]{text}#*
\textpolish[options%keyvals]{text}#*
\textportuguese[options%keyvals]{text}#*
\textromanian[options%keyvals]{text}#*
\textromansh[options%keyvals]{text}#*
\textrussian[options%keyvals]{text}#*
\textsami[options%keyvals]{text}#*
\textsanskrit[options%keyvals]{text}#*
\textserbian[options%keyvals]{text}#*
\textslovak[options%keyvals]{text}#*
\textslovenian[options%keyvals]{text}#*
\textsorbian[options%keyvals]{text}#*
\textspanish[options%keyvals]{text}#*
\textswedish[options%keyvals]{text}#*
\textsyriac[options%keyvals]{text}#*
\texttamil[options%keyvals]{text}#*
\texttelugu[options%keyvals]{text}#*
\textthai[options%keyvals]{text}#*
\texttibetan[options%keyvals]{text}#*
\textturkish[options%keyvals]{text}#*
\textturkmen[options%keyvals]{text}#*
\textukrainian[options%keyvals]{text}#*
\texturdu[options%keyvals]{text}#*
\textuyghur[options%keyvals]{text}#*
\textvietnamese[options%keyvals]{text}#*
\textwelsh[options%keyvals]{text}#*

\begin{lang}{language}
\begin{lang}[options]{language}
\end{lang}

\begin{afrikaans}[options%keyvals]#*
\begin{albanian}[options%keyvals]#*
\begin{amharic}[options%keyvals]#*
\begin{Arabic}[options%keyvals]#*
\begin{armenian}[options%keyvals]#*
\begin{asturian}[options%keyvals]#*
\begin{basque}[options%keyvals]#*
\begin{belarusian}[options%keyvals]#*
\begin{bengali}[options%keyvals]#*
\begin{bosnian}[options%keyvals]#*
\begin{breton}[options%keyvals]#*
\begin{bulgarian}[options%keyvals]#*
\begin{catalan}[options%keyvals]#*
\begin{coptic}[options%keyvals]#*
\begin{croatian}[options%keyvals]#*
\begin{czech}[options%keyvals]#*
\begin{danish}[options%keyvals]#*
\begin{divehi}[options%keyvals]#*
\begin{dutch}[options%keyvals]#*
\begin{english}[options%keyvals]#*
\begin{esperanto}[options%keyvals]#*
\begin{estonian}[options%keyvals]#*
\begin{finnish}[options%keyvals]#*
\begin{french}[options%keyvals]#*
\begin{friulian}[options%keyvals]#*
\begin{gaelic}[options%keyvals]#*
\begin{galician}[options%keyvals]#*
\begin{georgian}[options%keyvals]#*
\begin{german}[options%keyvals]#*
\begin{greek}[options%keyvals]#*
\begin{hebrew}[options%keyvals]#*
\begin{hindi}[options%keyvals]#*
\begin{hungarian}[options%keyvals]#*
\begin{icelandic}[options%keyvals]#*
\begin{interlingua}[options%keyvals]#*
\begin{italian}[options%keyvals]#*
\begin{japanese}[options%keyvals]#*
\begin{kannada}[options%keyvals]#*
\begin{khmer}[options%keyvals]#*
\begin{korean}[options%keyvals]#*
\begin{kurdish}[options%keyvals]#*
\begin{lao}[options%keyvals]#*
\begin{latin}[options%keyvals]#*
\begin{latvian}[options%keyvals]#*
\begin{lithuanian}[options%keyvals]#*
\begin{macedonian}[options%keyvals]#*
\begin{malay}[options%keyvals]#*
\begin{malayalam}[options%keyvals]#*
\begin{marathi}[options%keyvals]#*
\begin{mongolian}[options%keyvals]#*
\begin{nko}[options%keyvals]#*
\begin{norwegian}[options%keyvals]#*
\begin{occitan}[options%keyvals]#*
\begin{persian}[options%keyvals]#*
\begin{piedmontese}[options%keyvals]#*
\begin{polish}[options%keyvals]#*
\begin{portuguese}[options%keyvals]#*
\begin{romanian}[options%keyvals]#*
\begin{romansh}[options%keyvals]#*
\begin{russian}[options%keyvals]#*
\begin{sami}[options%keyvals]#*
\begin{sanskrit}[options%keyvals]#*
\begin{serbian}[options%keyvals]#*
\begin{slovak}[options%keyvals]#*
\begin{slovenian}[options%keyvals]#*
\begin{sorbian}[options%keyvals]#*
\begin{spanish}[options%keyvals]#*
\begin{swedish}[options%keyvals]#*
\begin{syriac}[options%keyvals]#*
\begin{tamil}[options%keyvals]#*
\begin{telugu}[options%keyvals]#*
\begin{thai}[options%keyvals]#*
\begin{tibetan}[options%keyvals]#*
\begin{turkish}[options%keyvals]#*
\begin{turkmen}[options%keyvals]#*
\begin{ukrainian}[options%keyvals]#*
\begin{urdu}[options%keyvals]#*
\begin{uyghur}[options%keyvals]#*
\begin{vietnamese}[options%keyvals]#*
\begin{welsh}[options%keyvals]#*
\end{afrikaans}#*
\end{albanian}#*
\end{amharic}#*
\end{Arabic}#*
\end{armenian}#*
\end{asturian}#*
\end{basque}#*
\end{belarusian}#*
\end{bengali}#*
\end{bosnian}#*
\end{breton}#*
\end{bulgarian}#*
\end{catalan}#*
\end{coptic}#*
\end{croatian}#*
\end{czech}#*
\end{danish}#*
\end{divehi}#*
\end{dutch}#*
\end{english}#*
\end{esperanto}#*
\end{estonian}#*
\end{finnish}#*
\end{french}#*
\end{friulian}#*
\end{gaelic}#*
\end{galician}#*
\end{georgian}#*
\end{german}#*
\end{greek}#*
\end{hebrew}#*
\end{hindi}#*
\end{hungarian}#*
\end{icelandic}#*
\end{interlingua}#*
\end{italian}#*
\end{japanese}#*
\end{kannada}#*
\end{khmer}#*
\end{korean}#*
\end{kurdish}#*
\end{lao}#*
\end{latin}#*
\end{latvian}#*
\end{lithuanian}#*
\end{macedonian}#*
\end{malay}#*
\end{malayalam}#*
\end{marathi}#*
\end{mongolian}#*
\end{nko}#*
\end{norwegian}#*
\end{occitan}#*
\end{persian}#*
\end{piedmontese}#*
\end{polish}#*
\end{portuguese}#*
\end{romanian}#*
\end{romansh}#*
\end{russian}#*
\end{sami}#*
\end{sanskrit}#*
\end{serbian}#*
\end{slovak}#*
\end{slovenian}#*
\end{sorbian}#*
\end{spanish}#*
\end{swedish}#*
\end{syriac}#*
\end{tamil}#*
\end{telugu}#*
\end{thai}#*
\end{tibetan}#*
\end{turkish}#*
\end{turkmen}#*
\end{ukrainian}#*
\end{urdu}#*
\end{uyghur}#*
\end{vietnamese}#*
\end{welsh}#*

\selectlanguage{language}
\selectlanguage[options]{language}
\foreignlanguage{language}{text}
\foreignlanguage[options]{language}{text}
\begin{otherlanguage}{language}
\begin{otherlanguage}[options]{language}
\end{otherlanguage}
\begin{otherlanguage*}{language}#*
\begin{otherlanguage*}[options]{language}#*
\end{otherlanguage*}
\begin{hyphenrules}{language}
\begin{hyphenrules}[options]{language}
\end{hyphenrules}

\selectbackgroundlanguage{language}#*
\resetdefaultlanguage{language}#*
\resetdefaultlanguage[options]{language}#*
\normalfontlatin#*
\rmfamilylatin#*
\sffamilylatin#*
\ttfamilylatin#*
\latinalph#*
\latinAlph#*

\setlanguagealias{language}{alias%envname}#N
\setlanguagealias[options]{language}{alias%envname}#N
\setlanguagealias*[options]{language}{alias}#*
\setlanguagealias*{language}{alias}#*

\pghyphenation[options]{language}{exceptions}
\setlanghyphenmins[options]{language}{l}{r}
\disablehyphenation#*
\enablehyphenation#*

#keyvals:\textafrikaans#c,\begin{afrikaans}#c
babelshorthands#true,false
#endkeyvals

#keyvals:\textarabic#c,\begin{Arabic}#c
calendar=#gregorian,islamic,hijri
locale=#default,mashriq,libya,algeria,tunisia,morocco,mauritania
numerals=#mashriq,maghrib
abjadalph#true,false
abjadjimnotail#true,false
#endkeyvals

\abjad{text}#*
\abjadmaghribi{text}#*
\abjadalph#*
\aemph{text}#*

#keyvals:\textarmenian#c,\begin{armenian}#c
variant=#eastern,western
numerals=#armenian,arabic
#endkeyvals

#keyvals:\textbelarusian#c,\begin{belarusian}#c
babelshorthands#true,false
numerals=#arabic,cyrillic-alph,cyrillic-trad
spelling=#modern,classic,tarask
#endkeyvals

\Asbuk{counter}#*
\asbuk{counter}#*
\AsbukTrad{counter}#*
\asbukTrad{counter}#*

#keyvals:\textbengali#c,\begin{bengali}#c
numerals=#Western,Bengali,Devanagari
changecounternumbering#true,false
#endkeyvals

#keyvals:\textcatalan#c,\begin{catalan}#c
babelshorthands#true,false
#endkeyvals

#keyvals:\textcroatian#c,\begin{croatian}#c
babelshorthands#true,false
disableligatures#true,false
localalph#true,false
splithyphens#true,false
#endkeyvals

#keyvals:\textczech#c,\begin{czech}#c
babelshorthands#true,false
splithyphens#true,false
vlna#true,false
#endkeyvals

#keyvals:\textdutch#c,\begin{dutch}#c
babelshorthands#true,false
#endkeyvals

#keyvals:\textenglish#c,\begin{english}#c
variant=#american,us,usmax,british,uk,australian,canadian,newzealand
ordinalmonthday#true,false
#endkeyvals

\hodiau#*
\hodiaun#*

#keyvals:\textfinnish#c,\begin{finnish}#c
babelshorthands#true,false
#endkeyvals

#keyvals:\textfrench#c,\begin{french}#c
variant=#french,canadian,acadian,swiss
autospacing#true,false
thincolonspace#true,false
autospaceguillemets#true,false
autospacetypewriter#true,false
frenchfootnote#true,false
frenchitemlabels#true,false
frenchpart#true,false
itemlabels=
itemlabeli=
itemlabelii=
itemlabeliii=
itemlabeliv=
#endkeyvals

\NoAutoSpacing#*
\AutoSpacing#*

#keyvals:\textgaelic#c,\begin{gaelic}#c
variant=#irish,scottish
#endkeyvals

#keyvals:\textgeorgian#c,\begin{georgian}#c
babelshorthands#true,false
numerals=#arabic,georgian
oldmonthnames#true,false
#endkeyvals

#keyvals:\textgerman#c,\begin{german}#c
variant=#german,austrian,swiss
spelling=#new,old
babelshorthands#true,false
script=#latin,blackletter,fraktur
#endkeyvals

#keyvals:\textgreek#c,\begin{greek}#c
variant=#monotonic,mono,polytonic,poly,ancient
numerals=#greek,arabic
attic#true,false
#endkeyvals

\Greeknumber{text}#*
\greeknumber{text}#*
\atticnumeral#*
\atticnum#*

#keyvals:\texthebrew#c,\begin{hebrew}#c
numerals=#hebrew,arabic
calendar=#hebrew,gregorian
marcheshvan#true,false
#endkeyvals

\hebrewnumeral{text}#*
\hebrewalph{text}#*

#keyvals:\texthindi#c,\begin{hindi}#c
numerals=#Western,Devanagari
#endkeyvals

#keyvals:\texthungarian#c,\begin{hungarian}#c
swapstrings=#all,captions,headings,headers,hheaders,none
#endkeyvals

\ontoday#*
\ondatehungarian#*

#keyvals:\textitalian#c,\begin{italian}#c
babelshorthands#true,false
#endkeyvals

#keyvals:\textkorean#c,\begin{korean}#c
variant=#plain,classic,modern
captions=#hangul,hanja
swapstrings=#all,headers,headings,none
#endkeyvals

#keyvals:\textkurdish#c,\begin{kurdish}#c
variant=#kurmanji,sorani
script=#Arabic,Latin
numerals=#western,eastern
abjadjimnotail#true,false
#endkeyvals

#keyvals:\textlao#c,\begin{lao}#c
numerals=#lao,arabic
#endkeyvals

#keyvals:\textlatin#c,\begin{latin}#c
variant=#classic,medieval,modern,ecclesiastic
hyphenation=#classic,modern,liturgical
ecclesiasticfootnotes#true,false
usej#true,false
capitalizemonth#true,false
babelshorthands#true,false
prosodicshorthands#true,false
#endkeyvals

#keyvals:\textmalay#c,\begin{malay}#c
variant=#indonesian,malaysian
#endkeyvals

#keyvals:\textmarathi#c,\begin{marathi}#c
numerals=#Devanagari,Western
#endkeyvals

#keyvals:\textmongolian#c,\begin{mongolian}#c
babelshorthands#true,false
numerals=#arabic,cyrillic-alph,cyrillic-trad
#endkeyvals

#keyvals:\textnorwegian#c,\begin{norwegian}#c
variant=#bokmal,nynorsk
#endkeyvals

#keyvals:\textpersian#c,\begin{persian}#c
numerals=#western,eastern
abjadjimnotail#true,false
#endkeyvals

#keyvals:\textportuguese#c,\begin{portuguese}#c
variant=#brazilian,portuguese
#endkeyvals

#keyvals:\textrussian#c,\begin{russian}#c
babelshorthands#true,false
forceheadingpunctuation#true,false
indentfirst#true,false
mathfunctions#true,false
spelling=#modern,old
numerals=#arabic,cyrillic-alph,cyrillic-trad
#endkeyvals

#keyvals:\textsanskrit#c,\begin{sanskrit}#c
script=#Devanagari,Gujarati,Malayalam,Bengali,Kannada,Telugu,Latin
numerals=#Devanagari,Western
#endkeyvals

#keyvals:\textserbian#c,\begin{serbian}#c
script=#Cyrillic,Latin
numerals=#arabic,cyrillic-alph,cyrillic-trad
#endkeyvals

#keyvals:\textslovak#c,\begin{slovak}#c
babelshorthands#true,false
splithyphens#true,false
vlna#true,false
#endkeyvals

#keyvals:\textslovenian#c,\begin{slovenian}#c
localalph#true,false
#endkeyvals

#keyvals:\textsorbian#c,\begin{sorbian}#c
variant=#lower,upper
olddate#true,false
#endkeyvals

\oldtoday#*

#keyvals:\textspanish#c,\begin{spanish}#c
variant=#spanish,mexican
spanishoperators=#all,accented,spaced,none,false
#endkeyvals

\arcsen#*m
\arctg#*m
\sen#*m
\senh#*m
\tg#*m
\tgh#*m
\spanishoperator{name}#*

#keyvals:\textsyriac#c,\begin{syriac}#c
numerals=#western,eastern,abjad
#endkeyvals

\abjadsyriac{text}#*

#keyvals:\textthai#c,\begin{thai}#c
numerals=#thai,arabic
#endkeyvals

#keyvals:\texttibetan#c,\begin{tibetan}#c
numerals=#tibetan,arabic
#endkeyvals

#keyvals:\textukrainian#c,\begin{ukrainian}#c
babelshorthands#true,false
mathfunctions#true,false
numerals=#arabic,cyrillic-alph,cyrillic-trad
#endkeyvals

#keyvals:\textuyghur#c,\begin{uyghur}#c
chapterformat=#ordinal,roman,arabic
swapstrings=#all,captions,heading,headers,hheaders,none
#endkeyvals

\uyghurordinal{number}
\uyghurord{counter}

#keyvals:\textwelsh#c,\begin{welsh}#c
date=#long,short
#endkeyvals

\captionsafrikaans#*
\captionsalbanian#*
\captionsamharic#*
\captionsarabic#*
\captionsarmenian#*
\captionsasturian#*
\captionsbasque#*
\captionsbelarusian#*
\captionsbengali#*
\captionsbosnian#*
\captionsbreton#*
\captionsbulgarian#*
\captionscatalan#*
\captionscoptic#*
\captionscroatian#*
\captionsczech#*
\captionsdanish#*
\captionsdivehi#*
\captionsdutch#*
\captionsenglish#*
\captionsesperanto#*
\captionsestonian#*
\captionsfinnish#*
\captionsfrench#*
\captionsfriulian#*
\captionsgaelic#*
\captionsgalician#*
\captionsgeorgian#*
\captionsgerman#*
\captionsgreek#*
\captionshebrew#*
\captionshindi#*
\captionshungarian#*
\captionsicelandic#*
\captionsinterlingua#*
\captionsitalian#*
\captionsjapanese#*
\captionskannada#*
\captionskhmer#*
\captionskorean#*
\captionskurdish#*
\captionslao#*
\captionslatin#*
\captionslatvian#*
\captionslithuanian#*
\captionsmacedonian#*
\captionsmalay#*
\captionsmalayalam#*
\captionsmarathi#*
\captionsmongolian#*
\captionsnko#*
\captionsnorwegian#*
\captionsoccitan#*
\captionspersian#*
\captionspiedmontese#*
\captionspolish#*
\captionsportuguese#*
\captionsromanian#*
\captionsromansh#*
\captionsrussian#*
\captionssami#*
\captionssanskrit#*
\captionsserbian#*
\captionsslovak#*
\captionsslovenian#*
\captionssorbian#*
\captionsspanish#*
\captionsswedish#*
\captionssyriac#*
\captionstamil#*
\captionstelugu#*
\captionsthai#*
\captionstibetan#*
\captionsturkish#*
\captionsturkmen#*
\captionsukrainian#*
\captionsurdu#*
\captionsuyghur#*
\captionsvietnamese#*
\captionswelsh#*

\dateafrikaans#*
\datealbanian#*
\dateamharic#*
\datearabic#*
\datearmenian#*
\dateasturian#*
\datebasque#*
\datebelarusian#*
\datebengali#*
\datebosnian#*
\datebreton#*
\datebulgarian#*
\datecatalan#*
\datecoptic#*
\datecroatian#*
\dateczech#*
\datedanish#*
\datedivehi#*
\datedutch#*
\dateenglish#*
\dateesperanto#*
\dateestonian#*
\datefinnish#*
\datefrench#*
\datefriulian#*
\dategaelic#*
\dategalician#*
\dategeorgian#*
\dategerman#*
\dategreek#*
\datehebrew#*
\datehindi#*
\datehungarian#*
\dateicelandic#*
\dateinterlingua#*
\dateitalian#*
\datejapanese#*
\datekannada#*
\datekhmer#*
\datekorean#*
\datekurdish#*
\datelao#*
\datelatin#*
\datelatvian#*
\datelithuanian#*
\datemacedonian#*
\datemalay#*
\datemalayalam#*
\datemarathi#*
\datemongolian#*
\datenko#*
\datenorwegian#*
\dateoccitan#*
\datepersian#*
\datepiedmontese#*
\datepolish#*
\dateportuguese#*
\dateromanian#*
\dateromansh#*
\daterussian#*
\datesami#*
\datesanskrit#*
\dateserbian#*
\dateslovak#*
\dateslovenian#*
\datesorbian#*
\datespanish#*
\dateswedish#*
\datesyriac#*
\datetamil#*
\datetelugu#*
\datethai#*
\datetibetan#*
\dateturkish#*
\dateturkmen#*
\dateukrainian#*
\dateurdu#*
\dateuyghur#*
\datevietnamese#*
\datewelsh#*

\blockextrasafrikaans#*
\blockextrasalbanian#*
\blockextrasamharic#*
\blockextrasarabic#*
\blockextrasarmenian#*
\blockextrasasturian#*
\blockextrasbasque#*
\blockextrasbelarusian#*
\blockextrasbengali#*
\blockextrasbosnian#*
\blockextrasbreton#*
\blockextrasbulgarian#*
\blockextrascatalan#*
\blockextrascoptic#*
\blockextrascroatian#*
\blockextrasczech#*
\blockextrasdanish#*
\blockextrasdivehi#*
\blockextrasdutch#*
\blockextrasenglish#*
\blockextrasesperanto#*
\blockextrasestonian#*
\blockextrasfinnish#*
\blockextrasfrench#*
\blockextrasfriulian#*
\blockextrasgaelic#*
\blockextrasgalician#*
\blockextrasgeorgian#*
\blockextrasgerman#*
\blockextrasgreek#*
\blockextrashebrew#*
\blockextrashindi#*
\blockextrashungarian#*
\blockextrasicelandic#*
\blockextrasinterlingua#*
\blockextrasitalian#*
\blockextrasjapanese#*
\blockextraskannada#*
\blockextraskhmer#*
\blockextraskorean#*
\blockextraskurdish#*
\blockextraslao#*
\blockextraslatin#*
\blockextraslatvian#*
\blockextraslithuanian#*
\blockextrasmacedonian#*
\blockextrasmalay#*
\blockextrasmalayalam#*
\blockextrasmarathi#*
\blockextrasmongolian#*
\blockextrasnko#*
\blockextrasnorwegian#*
\blockextrasoccitan#*
\blockextraspersian#*
\blockextraspiedmontese#*
\blockextraspolish#*
\blockextrasportuguese#*
\blockextrasromanian#*
\blockextrasromansh#*
\blockextrasrussian#*
\blockextrassami#*
\blockextrassanskrit#*
\blockextrasserbian#*
\blockextrasslovak#*
\blockextrasslovenian#*
\blockextrassorbian#*
\blockextrasspanish#*
\blockextrasswedish#*
\blockextrassyriac#*
\blockextrastamil#*
\blockextrastelugu#*
\blockextrasthai#*
\blockextrastibetan#*
\blockextrasturkish#*
\blockextrasturkmen#*
\blockextrasukrainian#*
\blockextrasurdu#*
\blockextrasuyghur#*
\blockextrasvietnamese#*
\blockextraswelsh#*

\inlineextrasafrikaans#*
\inlineextrasalbanian#*
\inlineextrasamharic#*
\inlineextrasarabic#*
\inlineextrasarmenian#*
\inlineextrasasturian#*
\inlineextrasbasque#*
\inlineextrasbelarusian#*
\inlineextrasbengali#*
\inlineextrasbosnian#*
\inlineextrasbreton#*
\inlineextrasbulgarian#*
\inlineextrascatalan#*
\inlineextrascoptic#*
\inlineextrascroatian#*
\inlineextrasczech#*
\inlineextrasdanish#*
\inlineextrasdivehi#*
\inlineextrasdutch#*
\inlineextrasenglish#*
\inlineextrasesperanto#*
\inlineextrasestonian#*
\inlineextrasfinnish#*
\inlineextrasfrench#*
\inlineextrasfriulian#*
\inlineextrasgaelic#*
\inlineextrasgalician#*
\inlineextrasgeorgian#*
\inlineextrasgerman#*
\inlineextrasgreek#*
\inlineextrashebrew#*
\inlineextrashindi#*
\inlineextrashungarian#*
\inlineextrasicelandic#*
\inlineextrasinterlingua#*
\inlineextrasitalian#*
\inlineextrasjapanese#*
\inlineextraskannada#*
\inlineextraskhmer#*
\inlineextraskorean#*
\inlineextraskurdish#*
\inlineextraslao#*
\inlineextraslatin#*
\inlineextraslatvian#*
\inlineextraslithuanian#*
\inlineextrasmacedonian#*
\inlineextrasmalay#*
\inlineextrasmalayalam#*
\inlineextrasmarathi#*
\inlineextrasmongolian#*
\inlineextrasnko#*
\inlineextrasnorwegian#*
\inlineextrasoccitan#*
\inlineextraspersian#*
\inlineextraspiedmontese#*
\inlineextraspolish#*
\inlineextrasportuguese#*
\inlineextrasromanian#*
\inlineextrasromansh#*
\inlineextrasrussian#*
\inlineextrassami#*
\inlineextrassanskrit#*
\inlineextrasserbian#*
\inlineextrasslovak#*
\inlineextrasslovenian#*
\inlineextrassorbian#*
\inlineextrasspanish#*
\inlineextrasswedish#*
\inlineextrassyriac#*
\inlineextrastamil#*
\inlineextrastelugu#*
\inlineextrasthai#*
\inlineextrastibetan#*
\inlineextrasturkish#*
\inlineextrasturkmen#*
\inlineextrasukrainian#*
\inlineextrasurdu#*
\inlineextrasuyghur#*
\inlineextrasvietnamese#*
\inlineextraswelsh#*

\noextrasafrikaans#*
\noextrasalbanian#*
\noextrasamharic#*
\noextrasarabic#*
\noextrasarmenian#*
\noextrasasturian#*
\noextrasbasque#*
\noextrasbelarusian#*
\noextrasbengali#*
\noextrasbosnian#*
\noextrasbreton#*
\noextrasbulgarian#*
\noextrascatalan#*
\noextrascoptic#*
\noextrascroatian#*
\noextrasczech#*
\noextrasdanish#*
\noextrasdivehi#*
\noextrasdutch#*
\noextrasenglish#*
\noextrasesperanto#*
\noextrasestonian#*
\noextrasfinnish#*
\noextrasfrench#*
\noextrasfriulian#*
\noextrasgaelic#*
\noextrasgalician#*
\noextrasgeorgian#*
\noextrasgerman#*
\noextrasgreek#*
\noextrashebrew#*
\noextrashindi#*
\noextrashungarian#*
\noextrasicelandic#*
\noextrasinterlingua#*
\noextrasitalian#*
\noextrasjapanese#*
\noextraskannada#*
\noextraskhmer#*
\noextraskorean#*
\noextraskurdish#*
\noextraslao#*
\noextraslatin#*
\noextraslatvian#*
\noextraslithuanian#*
\noextrasmacedonian#*
\noextrasmalay#*
\noextrasmalayalam#*
\noextrasmarathi#*
\noextrasmongolian#*
\noextrasnko#*
\noextrasnorwegian#*
\noextrasoccitan#*
\noextraspersian#*
\noextraspiedmontese#*
\noextraspolish#*
\noextrasportuguese#*
\noextrasromanian#*
\noextrasromansh#*
\noextrasrussian#*
\noextrassami#*
\noextrassanskrit#*
\noextrasserbian#*
\noextrasslovak#*
\noextrasslovenian#*
\noextrassorbian#*
\noextrasspanish#*
\noextrasswedish#*
\noextrassyriac#*
\noextrastamil#*
\noextrastelugu#*
\noextrasthai#*
\noextrastibetan#*
\noextrasturkish#*
\noextrasturkmen#*
\noextrasukrainian#*
\noextrasurdu#*
\noextrasuyghur#*
\noextrasvietnamese#*
\noextraswelsh#*

\localnumeral{number}#*
\localnumeral[option%keyvals]{number}#*
\localnumeral*{counter}#*
\localnumeral*[option%keyvals]{counter}#*
\Localnumeral{number}#*
\Localnumeral[option%keyvals]{number}#*
\Localnumeral*{counter}#*
\Localnumeral*[option%keyvals]{counter}#*

#keyvals:\localnumeral,\localnumeral*,\Localnumeral,\Localnumeral*
lang=
#endkeyvals

\arabicdigits{text}#*
\bengalidigits{text}#*
\devanagaridigits{text}#*
\farsidigits{text}#*
\kannadadigits{text}#*
\khmerdigits{text}#*
\laodigits{text}#*
\nkodigits{text}#*
\thaidigits{text}#*
\tibetandigits{text}#*
\armeniannumeral{text}#*
\belarusiannumeral{text}#*
\Belarusiannumeral{text}#*
\georgiannumeral{text}#*
\greeknumeral{text}#*
\Greeknumeral{text}#*
\hebrewnumeral{text}#*
\Hebrewnumeral{text}#*
\Hebrewnumeralfinal{text}#*
\mongoliannumeral{text}#*
\Mongoliannumeral{text}#*
\russiannumeral{text}#*
\Russiannumeral{text}#*
\serbiannumeral{text}#*
\Serbiannumeral{text}#*
\ukrainiannumeral{text}#*
\Ukrainiannumeral{text}#*

\RTLfootnote{text}#*
\LTRfootnote{text}#*

\leftfootnoterule#*
\rightfootnoterule#*
\autofootnoterule#*
\textwidthfootnoterule#*

\charifavailable{charcode}{sub}#*
\languagename#*
\mainlanguagename#*
\languagevariant#*
\mainlanguagevariant#*
\babelname#*
\mainbabelname#*
\anguageid{type}#*
\mainlanguageid{type}#*
\xpg#*
\iflanguageloaded{language}{true}{false}#*
\ifbabellanguageloaded{language}{true}{false}#*
\iflanguageidloaded{type}{id}{true}{false}#*
\iflanguageoption{language}{opt key}{opt value}{true}{false}#*
